import requests
from utils.config import NOARK_BASE_URL, ACCESS_TOKEN

def get_journalposter():
    response = requests.get(f"{NOARK_BASE_URL}/arkivstruktur/journalpost", headers={"Authorization": f"Bearer {ACCESS_TOKEN}"})
    return response.json().get("_entries", [])

def create_journalpost(tittel):
    payload = {"tittel": tittel, "dokumentType": "generell"}
    requests.post(f"{NOARK_BASE_URL}/arkivstruktur/journalpost", json=payload, headers={"Authorization": f"Bearer {ACCESS_TOKEN}"})

def upload_document(journal_id, filepath):
    with open(filepath, "rb") as f:
        files = {"file": (filepath, f)}
        requests.post(f"{NOARK_BASE_URL}/arkivstruktur/journalpost/{journal_id}/dokumenter", files=files, headers={"Authorization": f"Bearer {ACCESS_TOKEN}"})
